API Documentation
Integrate CryptoFaucet into your applications with our RESTful API. Build custom clients, automate workflows, and more.
Overview
The CryptoFaucet API is organized around REST principles. Our API has predictable resource-oriented URLs, accepts JSON-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes.
Base URL
https://api.cryptofaucet.comAuthentication
Include your access token in the Authorization header:
Authorization: Bearer YOUR_ACCESS_TOKENKeep your access tokens secure. Never share them in public repositories or client-side code.
Rate Limits
Rate limit information is included in response headers:
X-RateLimit-Limit: 60 X-RateLimit-Remaining: 58 X-RateLimit-Reset: 1702324800
If you exceed the rate limit, you'll receive a 429 Too Many Requests response.
Endpoints
/api/profileGet current user profile and balance
/api/claimMake a faucet claim
/api/claim/statusCheck claim eligibility and cooldown
/api/withdrawRequest a withdrawal to FaucetPay
/api/referralsGet referral stats and earnings
/api/leaderboardGet top earners leaderboard
/api/statsGet platform statistics
/api/healthHealth check endpoint
Error Handling
Code Examples
// Example: Making a claim
const response = await fetch('https://api.cryptofaucet.com/api/claim', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
fingerprint: 'device_fingerprint_hash',
}),
});
const data = await response.json();
console.log(data);
// { success: true, amount: 25, newBalance: 12500, nextClaim: "2025-12-11T20:45:00Z" }Need Help?
Check out our help center or join our Discord community for support.